Skip to main content
POST
/
v2
/
commentannotations
/
comments
/
update
Update Comments
curl --request POST \
  --url https://api.velt.dev/v2/commentannotations/comments/update \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "annotationId": "<string>",
    "commentIds": [
      123
    ],
    "updatedData": {
      "commentText": "<string>",
      "commentHtml": "<string>",
      "context": {},
      "isCommentResolverUsed": true,
      "isCommentTextAvailable": true,
      "from": {},
      "taggedUserContacts": [
        {
          "text": "<string>",
          "userId": "<string>",
          "contact": {
            "email": "<string>",
            "name": "<string>",
            "userId": "<string>"
          }
        }
      ],
      "attachments": [
        {
          "attachmentId": 123,
          "name": "<string>",
          "bucketPath": "<string>",
          "size": 123,
          "type": "<string>",
          "url": "<string>",
          "thumbnail": "<string>",
          "mimeType": "<string>",
          "metadata": {}
        }
      ]
    }
  }
}
'
import requests

url = "https://api.velt.dev/v2/commentannotations/comments/update"

payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"annotationId": "<string>",
"commentIds": [123],
"updatedData": {
"commentText": "<string>",
"commentHtml": "<string>",
"context": {},
"isCommentResolverUsed": True,
"isCommentTextAvailable": True,
"from": {},
"taggedUserContacts": [
{
"text": "<string>",
"userId": "<string>",
"contact": {
"email": "<string>",
"name": "<string>",
"userId": "<string>"
}
}
],
"attachments": [
{
"attachmentId": 123,
"name": "<string>",
"bucketPath": "<string>",
"size": 123,
"type": "<string>",
"url": "<string>",
"thumbnail": "<string>",
"mimeType": "<string>",
"metadata": {}
}
]
}
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
annotationId: '<string>',
commentIds: [123],
updatedData: {
commentText: '<string>',
commentHtml: '<string>',
context: {},
isCommentResolverUsed: true,
isCommentTextAvailable: true,
from: {},
taggedUserContacts: [
{
text: '<string>',
userId: '<string>',
contact: {email: '<string>', name: '<string>', userId: '<string>'}
}
],
attachments: [
{
attachmentId: 123,
name: '<string>',
bucketPath: '<string>',
size: 123,
type: '<string>',
url: '<string>',
thumbnail: '<string>',
mimeType: '<string>',
metadata: {}
}
]
}
}
})
};

fetch('https://api.velt.dev/v2/commentannotations/comments/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Comment updated successfully.",
    "data": {
      "607395": {
        "success": true,
        "id": 607395,
        "message": "Updated successfully"
      }
    }
  }
}
Use this API to update comments within a specific CommentAnnotation.

Endpoint

POST https://api.velt.dev/v2/commentannotations/comments/update

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

1. Update comment in a CommentAnnotation by organizationId, documentId, annotationId and commentId

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "annotationId": "yourAnnotationId",
    "commentIds": [
      153783,
      607395
    ],
    "updatedData": {
      "commentText": "Sample Updated Comment",
      "commentHtml": "<div>Hello Updated</div>"
    }
  }
}

2. Update comment with attachments

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "annotationId": "yourAnnotationId",
    "commentIds": [
      123456
    ],
    "updatedData": {
      "commentText": "Updated comment text with new attachments",
      "commentHtml": "<p>Updated comment text with <em>new attachments</em></p>",
      "attachments": [
        {
          "attachmentId": 100001,
          "name": "updated-screenshot.png",
          "bucketPath": "attachments/org-123/doc-456/updated-screenshot.png",
          "size": 1536000,
          "type": "image",
          "url": "https://storage.googleapis.com/bucket/updated-screenshot.png",
          "thumbnail": "https://storage.googleapis.com/bucket/updated-screenshot_thumb.png",
          "mimeType": "image/png",
          "metadata": {
            "width": 1920,
            "height": 1080,
            "updatedAt": 1696122000000
          }
        }
      ]
    }
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Comment updated successfully.",
    "data": {
      "607395": {
        "success": true,
        "id": 607395,
        "message": "Updated successfully"
      }
    }
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Comment updated successfully.",
    "data": {
      "607395": {
        "success": true,
        "id": 607395,
        "message": "Updated successfully"
      }
    }
  }
}